Subject: Re: bug#67033: 30.0.50; Emacs Lisp Reference Manual, escapes in strings
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 11 Nov 2023 12:04:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Richard Stallman <[email-masked]>
> Date: Thu, 09 Nov 2023 21:52:09 -0500
> 
> 
> In Info, in the node Strings and Characters, there is no obvious link
> to the info about the read syntax of strings (or that if characters).
> 
> Neither is there any in its subnode Basic.
> 
> In the node Lisp Data Types, there is a subnode Printed
> Representation.  However, that subnode does not offer any way to get
> to the printed representations of specific data types, including
> strings.
> 
> Its subnode Programming Types has a subnode String Type.
> It does not say anythng about how to represent a carriage return
> or where to find that info.
> 
> It has a subnode Syntax for Strings.  But that too says nothing
> about how to represent control characters in a string constant
> and gives no link for that.
> 
> A later subnode, Nonprinting Characters in Strings,
> also does not say anythng about how to represent a carriage return.
> 
> I was really looking for that info -- I had forgotten it was \r -- 
> and I was really looking at all these nodes, and finding no help.
> 
> Eventually I looked at nodes about characters and found the answer
> there.  But the nodes about strings ought to help the user find that.
> I think several of the nodes I mentioned above
> should have links to the string syntax, and the main string syntax
> node should have a link to the info on \-sequences for strings.

Thanks, I added some text to "Syntax for Strings", and some pointers
elsewhere in the manual.